# arm_rfft_q15.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions

void | arm_split_rfft_q15 (q15_t *pSrc, uint32_t fftLen, q15_t *pATable, q15_t *pBTable, q15_t *pDst, uint32_t modifier)
void | arm_split_rifft_q15 (q15_t *pSrc, uint32_t fftLen, q15_t *pATable, q15_t *pBTable, q15_t *pDst, uint32_t modifier)
void | arm_rfft_q15 (const arm_rfft_instance_q15 *S, q15_t *pSrc, q15_t *pDst)

## Function Documentation

void arm_split_rfft_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | q15_t * | pATable,
|  | q15_t * | pBTable,
|  | q15_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Core Real FFT process.

end of RFFT_RIFFT group

Parameters:

  *pSrc | points to the input buffer.
  fftLen | length of FFT.
  *pATable | points to the A twiddle Coef buffer.
  *pBTable | points to the B twiddle Coef buffer.
  *pDst | points to the output buffer.
  modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none. The function implements a Real FFT

Definition at line 143 of file arm_rfft_q15.c.

void arm_split_rifft_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | q15_t * | pATable,
|  | q15_t * | pBTable,
|  | q15_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Core Real IFFT process.

Parameters:

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none. The function implements a Real IFFT

Definition at line 312 of file arm_rfft_q15.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines